### Function

# Gimp ValueArray new

since: 2.10

#### Declaration [src]

    GimpValueArray*
    gimp_value_array_new (
      gint n_prealloced
    )

#### Description [src]

Allocate and initialize a new `GimpValueArray`, optionally preserve space for `n_prealloced` elements. New arrays always contain 0 elements, regardless of the value of `n_prealloced`.

Available since: 2.10

#### Parameters

`n_prealloced`

  Type: `gint`

  Number of values to preallocate space for.

#### Return value

Type: `GimpValueArray`

A newly allocated `GimpValueArray` with 0 values.

The caller of the function takes ownership of the data, and is responsible for freeing it.